<?php

namespace App\Filament\Resources\AccessRequests\Schemas;

use Filament\Infolists\Components\TextEntry;
use Filament\Schemas\Schema;

class AccessRequestsInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextEntry::make('id')
                    ->label('ID'),
                TextEntry::make('status')
                    ->badge(),
                TextEntry::make('game_username'),
                TextEntry::make('message'),
                TextEntry::make('reviewed_by')
                    ->placeholder('-'),
                TextEntry::make('server.name')
                    ->label('Server'),
                TextEntry::make('reviewed_at')
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('created_at')
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('updated_at')
                    ->dateTime()
                    ->placeholder('-'),
            ]);
    }
}
